Package com.sap.ai.sdk.grounding.model

# Enum Class PipelineExecutionStatus

java.lang.Object
java.lang.Enum<PipelineExecutionStatus>
com.sap.ai.sdk.grounding.model.PipelineExecutionStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<PipelineExecutionStatus>`, `Constable`

public enum PipelineExecutionStatus extends Enum<PipelineExecutionStatus>
Gets or Sets PipelineExecutionStatus

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CREATED`
  `CREATING`
  `CREATION_FAILED`
  `DELETION_FAILED`
  `DELETION_INPROGRESS`
  `FINISHED`
  `FINISHEDWITHERRORS`
  `INPROGRESS`
  `NEW`
  `TIMEOUT`
  `UNKNOWN`
  `UNKNOWN_DEFAULT_OPEN_API`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PipelineExecutionStatus`
  `fromValue(String value)`
  Converts the given value to its enum representation.
  `String`
  `getValue()`
  `String`
  `toString()`
  `static PipelineExecutionStatus`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static PipelineExecutionStatus[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NEW

    public static final PipelineExecutionStatus NEW

  - ### CREATING

    public static final PipelineExecutionStatus CREATING

  - ### CREATED

    public static final PipelineExecutionStatus CREATED

  - ### CREATION_FAILED

    public static final PipelineExecutionStatus CREATION_FAILED

  - ### UNKNOWN

    public static final PipelineExecutionStatus UNKNOWN

  - ### INPROGRESS

    public static final PipelineExecutionStatus INPROGRESS

  - ### FINISHED

    public static final PipelineExecutionStatus FINISHED

  - ### FINISHEDWITHERRORS

    public static final PipelineExecutionStatus FINISHEDWITHERRORS

  - ### TIMEOUT

    public static final PipelineExecutionStatus TIMEOUT

  - ### DELETION_INPROGRESS

    public static final PipelineExecutionStatus DELETION_INPROGRESS

  - ### DELETION_FAILED

    public static final PipelineExecutionStatus DELETION_FAILED

  - ### UNKNOWN_DEFAULT_OPEN_API

    public static final PipelineExecutionStatus UNKNOWN_DEFAULT_OPEN_API

- ## Method Details

  - ### values

    public static PipelineExecutionStatus[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PipelineExecutionStatus valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Returns:
      The enum value.

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Enum<PipelineExecutionStatus>`
    Returns:
      The String representation of the enum value.

  - ### fromValue

    public static PipelineExecutionStatus fromValue(@Nonnull String value)
    Converts the given value to its enum representation.
    Parameters:
      `value` - The input value.
    Returns:
      The enum representation of the given value.